/* apccomm_pc_tr.h
   Part of "APCComm" 
   Copyright (C) 2000,2001 Ralf Hoffmann
   Contact: ralf.hoffmann@epost.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
*/
/* $Id: apccomm_pc_tr.h,v 1.2 2001/08/23 22:24:49 ralf Exp $ */

#ifndef APCCOMM_PC_TR_H
#define APCCOMM_PC_TR_H

#include <unistd.h>
#include <sys/time.h>
#include <parapin.h>
#include <errno.h>
#include "apccomm_all.h"

void synchro();
void transferblock();

/* normally only called by sendcommand() */
int sendfile(const char *name, int mode);

/* Send a command
 * arg is used for file/dirname
 */
int sendcommand(apc_command_t com,const char *arg, int mode);

int recvcommand(apc_command_t *com,char **arg, int *mode);

int recvfile();

#endif
