/* apccomm_gui_temp.c
   Part of "APCComm" 
   Copyright (C) 2002 Ralf Hoffmann
   Contact: ralf.hoffmann@epost.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
*/
/* $Id: apccomm_gui_temp.c,v 1.1 2002/06/11 00:11:49 ralf Exp $ */

#include "apccomm_am_main.h"
#include "apccomm_all.h"
#include <intuition/intuition.h>
#include "apccomm_am.h"
extern struct IntuiMessage   MainWindowMsg;

int ipcbClicked( void )
{
	/* routine when gadget "Ignore protection bits" is clicked. */
	
	ignore_prot = MainWindowMsg.Code;
}

int rdsgClicked( void )
{
	/* routine when gadget "Receive dir" is clicked. */
}

int rbClicked( void )
{
	/* routine when gadget "Receive" is clicked. */

        mode = GUIMODE_RECEIVE;
}

int sflvClicked( void )
{
	/* routine when gadget "Send files" is clicked. */
	
	selected_lvc = MainWindowMsg.Code;
}

int addbClicked( void )
{
	/* routine when gadget "Add" is clicked. */
  requestAndAddFiles();
}

int removebClicked( void )
{
	/* routine when gadget "Remove" is clicked. */
	removeSelectedEntry();
}

int sbClicked( void )
{
	/* routine when gadget "Send" is clicked. */
        
        mode = GUIMODE_SEND;
}

int ebClicked( void )
{
	/* routine when gadget "Exit" is clicked. */
	mode = GUIMODE_QUIT;
}

int gfbClicked( void )
{
	/* routine when gadget "G" is clicked. */
  requestReceiveDir();
}

int slvsgClicked( void )
{
	/* routine when gadget "" is clicked. */
	
	applySLVSG();
}

int rcbClicked( void )
{
	/* routine when gadget "Cancel" is clicked. */

        receive_cancel = 1;
}

int scbClicked( void )
{
	/* routine when gadget "Cancel" is clicked. */
        
        send_cancel = 1;
}

int conbClicked( void )
{
	/* routine when gadget "_Cancel" is clicked. */
  connect_cancel = 1;
}

int MainWindowCloseWindow( void )
{
	/* routine for "IDCMP_CLOSEWINDOW". */
	mode = GUIMODE_QUIT;
}

int Receive_filesCloseWindow( void )
{
	/* routine for "IDCMP_CLOSEWINDOW". */
        
        receive_cancel = 1;
}

int Send_filesCloseWindow( void )
{
	/* routine for "IDCMP_CLOSEWINDOW". */
        
        send_cancel = 1;
}

int ConnectWindowCloseWindow( void )
{
	/* routine for "IDCMP_CLOSEWINDOW". */
	
	connect_cancel = 1;
}

