/* lvhandling.h
   Part of "APCComm" 
   Copyright (C) 2002 Ralf Hoffmann
   Contact: ralf.hoffmann@epost.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
*/
/* $Id: lvhandling.h,v 1.1 2002/06/11 00:03:13 ralf Exp $ */

#ifndef LVHANDLING_H
#define LVHANDLING_H

#include <exec/lists.h>
#include <intuition/intuition.h>

extern struct List *lvcs;

void deleteLVCList( void );
void initLVCList( void );
void addLVC( const char *name );
void removeLVC( const char *name );
void removeLVCAtPos( int pos );
void updateLV( struct Gadget *lv, struct Window *win );
int getLVCSize( void );
struct Node *GetHead( struct List *list );
struct Node *GetSucc( struct Node *n );
void changeLVC( int pos, const char *ntext );

#endif
